CVE-2008-2469

NameCVE-2008-2469
DescriptionHeap-based buffer overflow in the SPF_dns_resolv_lookup function in Spf_dns_resolv.c in libspf2 before 1.2.8 allows remote attackers to execute arbitrary code via a long DNS TXT record with a modified length field.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-1659-1, DTSA-172-1
NVD severityhigh

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libspf2 (PTS)stretch1.2.10-7fixed
stretch (security)1.2.10-7+deb9u1fixed
buster, buster (security)1.2.10-7.1~deb10u1fixed
bullseye (security), bullseye1.2.10-7.1~deb11u1fixed
bookworm, sid1.2.10-7.1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libspf2sourceetch1.2.5-4+etch1DSA-1659-1
libspf2sourcelenny1.2.5.dfsg-5+lenny1DTSA-172-1
libspf2source(unstable)1.2.9-1high

Search for package or bug name: Reporting problems